{
	'Auth_Facebook' => {
		'hooks' => [],
		'meta' => {
			'author' => 'Virginia Lo',
			'description' => '',
			'license' => 'Other',
			'prog_ver' => '3.2.0',
			'url' => 'http://www.gossamer-threads.com',
			'version' => '1.0'
		},
		'user' => [
			[
				'fb_postback_url',
				'https://www.slowtwitch.com/facebook/',
				'Facebook postback url',
				'TEXT',
				[],
				[],
				''
			],
			[
				'fb_fanpageid',
				'395855247207719',
				'',
				'TEXT',
				[],
				[]
			],
			[
				'fb_appid',
				'535394536545179',
				'',
				'TEXT',
				[],
				[]
			],
			[
				'fb_secret_key',
				'0468d894e46463929bacfb6c484be3ea',
				'',
				'TEXT',
				[],
				[]
			]
		],
		'version' => '1.0'
	},
	'ConvertVideo' => {
		'hooks' => [
			[
				'validate_link',
				'PRE',
				'Plugins::ConvertVideo::validate_link_pre',
				'1'
			],
			[
				'modify_link',
				'PRE',
				'Plugins::ConvertVideo::modify_link_pre',
				'1'
			],
			[
				'modify_link',
				'POST',
				'Plugins::ConvertVideo::modify_link_post',
				'1'
			],
			[
				'add_link',
				'POST',
				'Plugins::ConvertVideo::add_link_post',
				'1'
			],
			[
				'form_link',
				'PRE',
				'Plugins::ConvertVideo::pre_form_link',
				'1'
			],
			[
				'form_link',
				'POST',
				'Plugins::ConvertVideo::post_form_link',
				'1'
			]
		],
		'meta' => {
			'author' => 'Gossamer Threads Inc.',
			'description' => 'Convert mpeg video to flash file.',
			'license' => 'Other',
			'prog_ver' => '3.x',
			'url' => 'http://www.gossamer-threads.com',
			'version' => '1.1'
		},
		'user' => [
			[
				'video_file_field',
				'File_Path',
				'Field name of the video file field.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'flash_file_field',
				'Flash_Path',
				'Field name of the flash file field.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'image_file_field',
				'Image_Path',
				'Field name of the preview image file field.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'thumbnail_file_field',
				'Thumbnail_Path',
				'Field name of the thumbnail file field.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'video_url_field',
				'URL',
				'Field name of the video url field.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'flash_dimension',
				'630x398',
				'The size of the flash movie (e.g. 450x370)',
				'TEXT',
				[],
				[],
				''
			],
			[
				'flash_quality',
				'1',
				'quality scale (1 [best] - 31 [worst])',
				'TEXT',
				[],
				[],
				''
			],
			[
				'thumbnail_size',
				'108x108',
				'The size of the thumbnail.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'watermark_file',
				'',
				'The path to the watermark image.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'video_url',
				'/videos',
				'The url where you store the video files.',
				'TEXT',
				[],
				[],
				''
			],
			[
				'flowplayer_url',
				'/videos/static',
				'The url path where you store the flowplayer swf and javascript files.',
				'TEXT',
				[],
				[],
				''
			]
		],
		'version' => '1.1'
	},
	'HandlePage' => {
		'hooks' => [
			[
				'handle_page',
				'PRE',
				'Plugins::HandlePage::pre_handle_page',
				'1'
			]
		],
		'meta' => {
			'author' => 'Gossamer Threads Inc. (Virginia Lo)',
			'description' => '',
			'license' => 'Other',
			'prog_ver' => '3.3.0',
			'url' => 'http://www.gossamer-threads.com',
			'version' => '1.0'
		},
		'version' => '1.0'
	},
	'MostPopular' => {
		'hooks' => [
			[
				'jump_link',
				'PRE',
				'Plugins::MostPopular::jump_link',
				'1'
			]
		],
		'meta' => {
			'author' => 'Virginia Lo',
			'description' => '',
			'license' => 'Other',
			'prog_ver' => '3.2.0',
			'url' => 'http://www.gossamer-threads.com',
			'version' => '1.0'
		},
		'user' => [
			[
				'last_x_days',
				'14',
				'most popular articles over the course of the last x days.  ',
				'TEXT',
				[],
				[],
				''
			]
		],
		'version' => '1.0'
	},
	'OverrideModDate' => {
		'hooks' => [
			[
				'handle_modify',
				'PRE',
				'Plugins::OverrideModDate::pre_handle',
				'1'
			],
			[
				'user_add_link',
				'POST',
				'Plugins::OverrideModDate::post_add_link',
				'1'
			],
			[
				'modify_link',
				'POST',
				'Plugins::OverrideModDate::post_modify_link',
				'1'
			]
		],
		'meta' => {
			'author' => 'Gossamer Threads Inc.',
			'description' => 'Don\'t auto set the Add_Date and Mod_Date if a user wants to modify it. ',
			'license' => 'Other',
			'prog_ver' => '3.2.0',
			'url' => 'http://www.gossamer-threads.com',
			'version' => '1.0'
		},
		'version' => '1.0'
	},
	'SlideShow' => {
		'hooks' => [
			[
				'add_link',
				'PRE',
				'Plugins::SlideShow::add_link',
				'1'
			],
			[
				'modify_link',
				'PRE',
				'Plugins::SlideShow::modify_link',
				'1'
			],
			[
				'user_modify_link',
				'PRE',
				'Plugins::SlideShow::check_input',
				'1'
			]
		],
		'menu' => [
			[
				'Help',
				'admin.cgi?do=help&topic=SlideShow/help.html" target="_blank',
				'1'
			],
			[
				'Field Management',
				'admin.cgi?do=plugin&plugin=SlideShow&func=field_management',
				'1'
			],
			[
				'Edit',
				'admin.cgi?do=page&page=plugin_manager.html&plugin_man_do=edit_installed&plugin_name=SlideShow',
				'1'
			],
			[
				'Resize',
				'nph-imageresize.cgi',
				'1'
			]
		],
		'meta' => {
			'author' => 'Gossamer Threads Inc.',
			'description' => 'This uses the SlideShow libraries and packages to allow you to run a photo gallery. This plugin automatically creates thumbnails of uploaded pictures and allows you to view them in a special frame.',
			'license' => 'Commercial',
			'prog_ver' => '2.1.1',
			'url' => 'http://www.gossamer-threads.com/',
			'version' => '1.20070309'
		},
		'user' => [
			[
				'max_upload_constraints',
				'2000x2000',
				'Maximum size allowed for the uploaded image.'
			],
			[
				'max_upload_size',
				'1000000',
				'Maximum size in bytes for the uploaded image.'
			],
			[
				'link_type_1',
				'article',
				'Link type for image width and height constraint.'
			],
			[
				'thumbnail_constraints_1',
				'100x100',
				'Maximum width and height for thumbnail for link_type_1.'
			],
			[
				'medium_constraints_1',
				'300x300',
				'Maximum width and height for medium sized image for link_type_1.'
			],
			[
				'large_constraints_1',
				'crop470x260',
				'Maximum width and height for large image for link_type_1.'
			],
			[
				'largest_constraints_1',
				'620x620',
				'Maximum width and height for largest image for link_type_1.'
			],
			[
				'link_type_2',
				'photo',
				'Link type for image width and height constraint.'
			],
			[
				'thumbnail_constraints_2',
				'crop107x80',
				'Maximum width and height for thumbnail for link_type_2.'
			],
			[
				'medium_constraints_2',
				'crop300x166',
				'Maximum width and height for medium sized image for link_type_2.'
			],
			[
				'large_constraints_2',
				'crop470x260',
				'Maximum width and height for large image for link_type_2.'
			],
			[
				'largest_constraints_2',
				'620x620',
				'Maximum width and height for largest image for link_type_2.'
			],
			[
				'image_quality',
				'100',
				'Used for JPGs and other lossy formats. Enter the percentage quality desired.'
			],
			[
				'watermark_path',
				'',
				'Path to the watermark file. Should be a small black and white image.'
			],
			[
				'image_cols',
				'Image1,Image2,Image3,Image4,Image5,Image6,Image7,Image8,Image9,Image10,Image11,Image12,Image13,Image14,Image15,Image16,Image17,Image18,Image19,Image20',
				'Name of image columns, separate with commas'
			],
			[
				'seq_image_cols',
				'Image1_medium,Image2_medium,Image3_medium,Image4_medium,Image5_medium,Image6_medium,Image7_medium,Image8_medium,Image9_medium,Image10_medium,Image11_medium,Image12_medium,Image13_medium,Image14_medium,Image15_medium,Image16_medium,Image17_medium,Image18_medium,Image19_medium,Image20_medium',
				'For the next/previous pager on the showpicture.cgi. The list of columns that can be paged through.'
			],
			[
				'temp_dir',
				'/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/tmp',
				'Temporary directory for image work'
			],
			[
				'image_url_path',
				'/articles/images',
				'URL to the uploaded images. This is the http:// prefixed URL to the directory that will receive all your images.'
			]
		],
		'version' => '1.20100817'
	},
	'UI' => {
		'hooks' => [
			[
				'build_category',
				'PRE',
				'Plugins::UI::build_category',
				'1'
			]
		],
		'meta' => {
			'author' => 'Bao Phan',
			'description' => '',
			'license' => 'Freeware',
			'prog_ver' => '3.3.0',
			'url' => '',
			'version' => '1.0'
		},
		'user' => [
			[
				'merge_categories',
				'4',
				'Category IDs to apply the merging option'
			]
		],
		'version' => '1.0'
	},
	'Widgets' => {
		'menu' => [
			[
				'Widgets',
				'admin.cgi?do=plugin&plugin=Widgets&func=widgets',
				'1'
			]
		],
		'meta' => {
			'author' => 'Bao Phan',
			'description' => '',
			'license' => 'Freeware',
			'prog_ver' => '3.3.0',
			'url' => 'http://gt.net',
			'version' => '1.0'
		},
		'version' => '1.0'
	}
};

# vim:syn=perl:ts=4:noet
